%global commit ce201088de95d26fc0da36ba805bf2ddc2ba74ff

Summary:        An ultra-fast, ultra-compact, crash-proof, key-value, embedded data store
Name:           lmdb
Version:        0.9.31
Release:        4%{?dist}
License:        OpenLDAP
URL:            http://symas.com/lmdb
Source0:        https://git.openldap.org/openldap/openldap/-/archive/LMDB_%{version}.tar.gz
Source1:        lmdb.pc.in

Patch3000:      lmdb-make.patch
Patch3001:      lmdb-s390-check.patch

BuildRequires:  make gcc
BuildRequires:  doxygen

%description
Symas LMDB is an extraordinarily fast, memory-efficient database developed
for the OpenLDAP Project. With memory-mapped files, LMDB has the read
performance of a pure in-memory database while retaining the persistence of
standard disk-based databases.

%package        libs
Summary:        Shared libraries for %{name}

%description    libs
This package includes shared libraries necessary for running programs
which use lmdb library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package includes header files, libraries necessary for
developing programs which use lmdb library.

%prep
%autosetup -p1 -n openldap-LMDB_%{version}-%{commit}

%build
pushd libraries/lib%{name}
%set_build_flags
%make_build XCFLAGS="%{build_cflags}"
doxygen
rm -f Doxyfile
rm -rf man
popd

%install
pushd libraries/lib%{name}
mkdir -m 0755 -p %{buildroot}{%{_bindir},%{_includedir}}
mkdir -m 0755 -p %{buildroot}{%{_libdir}/pkgconfig,%{_mandir}/man1}
%make_install prefix=%{_prefix} libdir=%{_libdir} mandir=%{_mandir}
popd

sed -e 's:@PREFIX@:%{_prefix}:g' \
    -e 's:@EXEC_PREFIX@:%{_exec_prefix}:g' \
    -e 's:@LIBDIR@:%{_libdir}:g' \
    -e 's:@INCLUDEDIR@:%{_includedir}:g' \
    -e 's:@PACKAGE_VERSION@:%{version}:g' \
    %{SOURCE1} >lmdb.pc
install -Dpm 0644 lmdb.pc %{buildroot}%{_libdir}/pkgconfig/lmdb.pc

%check
pushd libraries/lib%{name}
rm -rf testdb
LD_LIBRARY_PATH=$PWD make test
popd

%files
%license libraries/lib%{name}/{LICENSE,COPYRIGHT}
%doc libraries/lib%{name}/{html,CHANGES}
%{_bindir}/*
%{_mandir}/man1/*

%files libs
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.31-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.31-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.31-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli <kianli@tencent.com> - 0.9.31-1
- Upgrade to 0.9.31

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.29-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.29-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 01 2022 ZoeDong <zoedong@tencent.com> - 0.9.29-1
- Initial build

